unit Unit1;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs,maprot, ExtCtrls, StdCtrls, Buttons;

const
  WinName = 'Daniel''s Maprot Screen Saver';

type
  TForm1 = class(TForm)
    Timer1: TTimer;
    Image1: TImage;
    Maprot1: TMaprot;
    Label1: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure FormMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure FormMouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure FormKeyPress(Sender: TObject; var Key: Char);
    procedure FormDestroy(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    ok : boolean;
    count : integer;
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
var
  i,j : integer;

begin
  caption:=WinName;

  count:=0;
  Screen.Cursor:=crNone;
  ok:=FALSE;

  top:=0;
  left:=0;
  width:=screen.width;
  height:=screen.height;

  maprot1.SetBitmap(image1.picture.bitmap);
end;

procedure TForm1.Timer1Timer(Sender: TObject);
begin
  inc(maprot1.Angle);
  maprot1.DoMaprot;
end;

procedure TForm1.FormMouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
  if OK then
    close;

  inc(count);
  if count>3 then
    ok:=TRUE;
end;

procedure TForm1.FormMouseUp(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
  Close;
end;

procedure TForm1.FormKeyPress(Sender: TObject; var Key: Char);
begin
  close;
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  Screen.Cursor:=crDefault;
end;

end.
